/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.wsas.persistence.dataobject;

/**
 * Data object representing policy of a service
 */
public class ServicePolicyDO extends AbstractDataObject {
    private String policy;
    private String uuid;
    private int type;
    private ServiceDO service;

    public ServicePolicyDO() {
    }

    public String getPolicy() {
        return policy;
    }

    public void setPolicy(String policy) {
        this.policy = policy;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public ServiceDO getService() {
        return service;
    }

    public void setService(ServiceDO service) {
        this.service = service;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof ServicePolicyDO) {
            ServicePolicyDO servicePolicyDO = (ServicePolicyDO) obj;
            if ((service == null) || servicePolicyDO.getService() == null) {
                return false;
            }
            return servicePolicyDO.getUuid().equals(uuid) &&
                   service.equals(servicePolicyDO.getService());
        }
        return false;
    }

    public int hashCode() {
        return uuid.hashCode();
    }
}
