<!--
  ~ Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="wsddUploadTemplate" xmlns="http://www.w3.org/1999/xhtml">
        <h4>
            <a>
                <xsl:attribute name="href">#</xsl:attribute>
                <xsl:attribute name="onClick">javascript:showServiceInitializer(); return false;</xsl:attribute>
                Services
            </a>
            &#160;&gt;&#160;New Axis1 Service
        </h4>
        <div id="formset">
			<form method="post" name="wsddUpload" action="fileupload/wsdd"
                  enctype="multipart/form-data" target="globalIFrame">
                <br/>
                <fieldset>
                    <legend>Upload WSDD file and Jar resources</legend>
                    <div>
                        <label>Descriptor (.wsdd)</label>
                        <input type="file" name="wsddFilename" size="50"/>
                    </div>
                    <div>
                        <xsl:attribute name="id">wsddLibDivId</xsl:attribute>
                        <label>Resource(s) (.jar)</label>
                        <input type="file" name="jarResource" size="50"/>
                        <input type="button" value="+">
                            <xsl:attribute name="onClick">
                                javascript:addLibraryFileuplod(document.getElementById("wsddLibDivId")); return false;
                            </xsl:attribute>
                        </input>
                    </div>

                    <div class="buttonrow">
                        <input name="upload" type="submit" value=" Upload ">
                            <xsl:attribute name="onclick">
                                javascript: var fileName = document.wsddUpload.wsddFilename.value;
                                if (fileName == '') {
                                    wso2.wsf.Util.alertWarning('Please select a wsdd file.');
                                    return false;
                                } else if (fileName.lastIndexOf(".wsdd") &lt; 0) {
                                    wso2.wsf.Util.alertWarning('Please select a wsdd file.');
                                    return false;
                                } else {
                                    stoppingRefreshingMethodsHook();
                                    return true;
                                }
                            </xsl:attribute>
                        </input>
						<input type="button" onClick="javascript:startServices(this,1); return false;" value="Cancel"/>
                    </div>
                </fieldset>
            </form>
        </div>
    </xsl:template>


</xsl:stylesheet>
